Subject: bug#43710: closed (Re: bug#43710: missing debug symbols for dino dependencies)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Apr 2021 21:16:01 +0000

Your bug report

#43710: missing debug symbols for dino dependencies

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43710: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43710
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43710: missing debug symbols for dino dependencies
From: "bdju" <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Apr 2021 16:14:49 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri Oct 2, 2020 at 3:50 PM CDT, Ludovic Courtès wrote:
> Hi bdju,
>
> "bdju" <[email-masked]> skribis:
>
> > It seems just the debug symbols for dino weren't quite enough to get
> > good info. I also need debug symbols for the other dependencies. For
> > sure glib or libglib, whichever it is. If there are other dependencies
> > that could have debug output enabled, that would probably be helpful as
> > well.
>
> Indeed, not all packages come with debugging symbols, as explained at:
>
> https://guix.gnu.org/manual/en/html_node/Installing-Debugging-Files.html
>
> However, I think this bug report is not actionable from the maintainer
> perspective: we’re not going to enable debugging symbols on dino’s
> dependencies (118 packages according to ‘guix graph -t references
> dino’)
> just because one person needs to debug it.
>
> That said, I agree it would be nice to have debugging symbols on key
> packages such as GLib and/or to provide a simple way to obtain them
> (I’m
> thinking of a package transformation option.) That will take some more
> time.
>
> I’m closing this bug but feel free to open more specific issues.
>
> Thanks,
> Ludo’.
Sounds fair. (looks like this wasn't closed, I'll try to close it now)

Subject: missing debug symbols for dino dependencies
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Tue, 29 Sep 2020 13:46:34 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

It seems just the debug symbols for dino weren't quite enough to get
good info. I also need debug symbols for the other dependencies. For
sure glib or libglib, whichever it is. If there are other dependencies
that could have debug output enabled, that would probably be helpful as
well.